Bug 1501337 - Support specialized spapr-dr-connector devices
Summary: Support specialized spapr-dr-connector devices
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: ppc64le
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Qunfang Zhang
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1498496
TreeView+ depends on / blocked
 
Reported: 2017-10-12 11:52 UTC by Miroslav Rezanina
Modified: 2018-04-11 00:43 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-11 00:41:21 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1104 None None None 2018-04-11 00:43 UTC

Description Miroslav Rezanina 2017-10-12 11:52:48 UTC
QEMU 2.10 split spapr-dr-connector into three devices:

- spapr-drc-cpu
- spapr-drc-lmb
- spapr-drc-pci

These devices provide better granularity on access to spapr-dr-connectors. As we supported original device we are going to support these specialized version.

Comment 8 Qunfang Zhang 2017-11-13 08:34:10 UTC
Reproduced on qemu-kvm-rhev-2.9.0-23.el7a.ppc64le there's no "spapr-drc-cpu", "spapr-drc-lmb", "spapr-drc-pci" devices.  

Verified on qemu-kvm-rhev-10:2.10.0-6.el7, the above three devices appears:

(1) qemu-kvm-rhev-2.9.0-23.el7a.ppc64le:

{"execute":"qom-list-types"}
{"return": [{"name": "vhost-vsock-pci"}, {"name": "virtio-tablet-pci"}, {"name": "POWER8NVL_v1.0-spapr-cpu-core"}, {"name": "cryptodev-backend"}, {"name": "iothread"}, {"name": "virtio-gpu-device"}, {"name": "icskvm"}, {"name": "i2c-bus"}, {"name": "vhost-vsock-device"}, {"name": "pseries-rhel7.4.0alt-machine"}, {"name": "spapr-rtc"}, {"name": "POWER8_v2.0-spapr-cpu-core"}, {"name": "ccid-bus"}, {"name": "scsi-cd"}, {"name": "container"}, {"name": "qio-channel-rdma"}, {"name": "chardev-null"}, {"name": "scsi-generic"}, {"name": "virtio-net-pci"}, {"name": "pc-dimm"}, {"name": "virtio-mouse-device"}, {"name": "virtio-mouse-pci"}, {"name": "ics"}, {"name": "icp"}, {"name": "virtio-vga"}, {"name": "rng-egd"}, {"name": "virtio-rng-pci"}, {"name": "irq"}, {"name": "filter-buffer"}, {"name": "virtconsole"}, {"name": "spapr-vio-bridge"}, {"name": "PCIE"}, {"name": "chardev-pty"}, {"name": "spapr-vlan"}, {"name": "chardev-memory"}, {"name": "POWER7+_v2.1-spapr-cpu-core"}, {"name": "host-spapr-cpu-core"}, {"name": "usb-host"}, {"name": "chardev-serial"}, {"name": "usb-kbd"}, {"name": "usb-bus"}, {"name": "filter-rewriter"}, {"name": "i6300esb"}, {"name": "spapr-vscsi"}, {"name": "filter-redirector"}, {"name": "virtio-tablet-device"}, {"name": "chardev-pipe"}, {"name": "scsi-disk"}, {"name": "vfio-pci-igd-lpc-bridge"}, {"name": "usb-mouse"}, {"name": "virtio-scsi-device"}, {"name": "spapr-dr-connector"}, {"name": "POWER7+_v2.1-powerpc64-cpu"}, {"name": "virtio-blk-pci"}, {"name": "filter-dump"}, {"name": "qio-channel-buffer"}, {"name": "virtio-mmio"}, {"name": "System"}, {"name": "chardev-ringbuf"}, {"name": "filter-mirror"}, {"name": "virtio-net-device"}, {"name": "qemu-console"}, {"name": "colo-compare"}, {"name": "spapr-pci-vfio-host-bridge"}, {"name": "usb-hub"}, {"name": "chardev-testdev"}, {"name": "spapr-vty"}, {"name": "chardev-hci"}, {"name": "virtio-keyboard-pci"}, {"name": "POWER9_v1.0-spapr-cpu-core"}, {"name": "input-linux"}, {"name": "tls-creds-anon"}, {"name": "qio-dns-resolver"}, {"name": "memory-backend-file"}, {"name": "virtio-keyboard-device"}, {"name": "qemu:memory-region"}, {"name": "rng-random"}, {"name": "chardev-stdio"}, {"name": "pci-ohci"}, {"name": "nec-usb-xhci"}, {"name": "chardev-gdb"}, {"name": "spapr-vio-bus"}, {"name": "chardev-mux"}, {"name": "chardev-udp"}, {"name": "POWER7_v2.3-powerpc64-cpu"}, {"name": "fw_cfg_io"}, {"name": "chardev-wctablet"}, {"name": "pci-bridge-seat"}, {"name": "usb-tablet"}, {"name": "chardev-file"}, {"name": "usb-ccid"}, {"name": "tcg-accel"}, {"name": "virtio-mmio-bus"}, {"name": "spapr-pci-host-bridge"}, {"name": "qio-channel-command"}, {"name": "usb-bot"}, {"name": "accel"}, {"name": "icp-kvm"}, {"name": "virtio-serial-bus"}, {"name": "virtio-balloon-device"}, {"name": "chardev-vc"}, {"name": "chardev-socket"}, {"name": "POWER8E_v2.1-powerpc64-cpu"}, {"name": "virtio-serial-device"}, {"name": "pci-testdev"}, {"name": "qio-channel-file"}, {"name": "virtio-input-host-device"}, {"name": "VGA"}, {"name": "none-machine"}, {"name": "pci-bridge"}, {"name": "SCSI"}, {"name": "tls-creds-x509"}, {"name": "kvm-accel"}, {"name": "spapr-tce-table"}, {"name": "qtest-accel"}, {"name": "secret"}, {"name": "scsi-hd"}, {"name": "virtio-balloon-pci"}, {"name": "scsi-block"}, {"name": "virtio-scsi-pci"}, {"name": "spapr-nvram"}, {"name": "fw_cfg_mem"}, {"name": "PCI"}, {"name": "qio-channel-websock"}, {"name": "virtio-input-host-pci"}, {"name": "cryptodev-backend-builtin"}, {"name": "POWER8NVL_v1.0-powerpc64-cpu"}, {"name": "qemu-xhci"}, {"name": "virtio-pci-bus"}, {"name": "filter-replay"}, {"name": "chardev-parallel"}, {"name": "POWER8E_v2.1-spapr-cpu-core"}, {"name": "usb-storage"}, {"name": "qio-channel-tls"}, {"name": "sysbus-ohci"}, {"name": "chardev-msmouse"}, {"name": "host-powerpc64-cpu"}, {"name": "memory-backend-ram"}, {"name": "virtio-serial-pci"}, {"name": "virtserialport"}, {"name": "smbus-eeprom"}, {"name": "virtio-rng-device"}, {"name": "vfio-pci"}, {"name": "virtio-gpu-pci"}, {"name": "POWER9_v1.0-powerpc64-cpu"}, {"name": "secondary-vga"}, {"name": "POWER8_v2.0-powerpc64-cpu"}, {"name": "POWER7_v2.3-spapr-cpu-core"}, {"name": "qio-channel-socket"}, {"name": "virtio-blk-device"}]}


(2) qemu-kvm-rhev-10:2.10.0-6.el7:

{"execute":"qom-list-types"}
{"return": [{"name": "vhost-vsock-pci", "parent": "virtio-pci"}, {"name": "virtio-tablet-pci", "parent": "virtio-input-hid-pci"}, {"name": "POWER8NVL_v1.0-spapr-cpu-core", "parent": "spapr-cpu-core"}, {"name": "cryptodev-backend", "parent": "object"}, {"name": "iothread", "parent": "object"}, {"name": "virtio-gpu-device", "parent": "virtio-device"}, {"name": "icskvm", "parent": "ics"}, {"name": "i2c-bus", "parent": "bus"}, {"name": "vhost-vsock-device", "parent": "virtio-device"}, {"name": "spapr-rtc", "parent": "device"}, {"name": "pseries-rhel7.4.0-machine", "parent": "spapr-machine"}, {"name": "POWER8_v2.0-spapr-cpu-core", "parent": "spapr-cpu-core"}, {"name": "ccid-bus", "parent": "bus"}, {"name": "scsi-cd", "parent": "scsi-disk-base"}, {"name": "container", "parent": "object"}, {"name": "qio-channel-rdma", "parent": "qio-channel"}, {"name": "chardev-null", "parent": "chardev"}, {"name": "scsi-generic", "parent": "scsi-device"}, {"name": "virtio-net-pci", "parent": "virtio-pci"}, {"name": "pc-dimm", "parent": "device"}, {"name": "pseries-rhel7.3.0-machine", "parent": "spapr-machine"}, {"name": "virtio-mouse-device", "parent": "virtio-input-hid-device"}, {"name": "virtio-mouse-pci", "parent": "virtio-input-hid-pci"}, {"name": "ics", "parent": "ics-base"}, {"name": "icp", "parent": "device"}, {"name": "virtio-vga", "parent": "virtio-pci"}, {"name": "rng-egd", "parent": "rng-backend"}, {"name": "irq", "parent": "object"}, {"name": "filter-buffer", "parent": "netfilter"}, {"name": "virtio-rng-pci", "parent": "virtio-pci"}, {"name": "virtconsole", "parent": "virtserialport"}, {"name": "spapr-vio-bridge", "parent": "sys-bus-device"}, {"name": "PCIE", "parent": "PCI"}, {"name": "chardev-pty", "parent": "chardev"}, {"name": "spapr-vlan", "parent": "vio-spapr-device"}, {"name": "chardev-memory", "parent": "chardev-ringbuf"}, {"name": "POWER7+_v2.1-spapr-cpu-core", "parent": "spapr-cpu-core"}, {"name": "host-spapr-cpu-core", "parent": "spapr-cpu-core"}, {"name": "usb-host", "parent": "usb-device"}, {"name": "chardev-serial", "parent": "chardev-fd"}, {"name": "usb-kbd", "parent": "usb-hid"}, {"name": "usb-bus", "parent": "bus"}, {"name": "filter-rewriter", "parent": "netfilter"}, {"name": "i6300esb", "parent": "pci-device"}, {"name": "spapr-vscsi", "parent": "vio-spapr-device"}, {"name": "filter-redirector", "parent": "netfilter"}, {"name": "virtio-tablet-device", "parent": "virtio-input-hid-device"}, {"name": "chardev-pipe", "parent": "chardev-fd"}, {"name": "scsi-disk", "parent": "scsi-disk-base"}, {"name": "vfio-pci-igd-lpc-bridge", "parent": "pci-device"}, {"name": "usb-mouse", "parent": "usb-hid"}, {"name": "virtio-scsi-device", "parent": "virtio-scsi-common"}, {"name": "POWER7+_v2.1-powerpc64-cpu", "parent": "POWER7-family-powerpc64-cpu"}, {"name": "virtio-blk-pci", "parent": "virtio-pci"}, {"name": "filter-dump", "parent": "netfilter"}, {"name": "qio-channel-buffer", "parent": "qio-channel"}, {"name": "chardev-ringbuf", "parent": "chardev"}, {"name": "virtio-mmio", "parent": "sys-bus-device"}, {"name": "System", "parent": "bus"}, {"name": "filter-mirror", "parent": "netfilter"}, {"name": "virtio-net-device", "parent": "virtio-device"}, {"name": "qemu-console", "parent": "object"}, {"name": "colo-compare", "parent": "object"}, {"name": "spapr-pci-vfio-host-bridge", "parent": "spapr-pci-host-bridge"}, {"name": "usb-hub", "parent": "usb-device"}, {"name": "chardev-testdev", "parent": "chardev"}, {"name": "spapr-vty", "parent": "vio-spapr-device"}, {"name": "chardev-hci", "parent": "chardev"}, {"name": "virtio-keyboard-pci", "parent": "virtio-input-hid-pci"}, {"name": "POWER9_v1.0-spapr-cpu-core", "parent": "spapr-cpu-core"}, {"name": "input-linux", "parent": "object"}, {"name": "tls-creds-anon", "parent": "tls-creds"}, {"name": "qio-dns-resolver", "parent": "object"}, {"name": "memory-backend-file", "parent": "memory-backend"}, {"name": "chardev-stdio", "parent": "chardev-fd"}, {"name": "virtio-keyboard-device", "parent": "virtio-input-hid-device"}, {"name": "qemu:memory-region", "parent": "object"}, {"name": "rng-random", "parent": "rng-backend"}, {"name": "pci-ohci", "parent": "pci-device"}, {"name": "pseries-rhel7.2.0-machine", "parent": "spapr-machine"}, {"name": "nec-usb-xhci", "parent": "base-xhci"}, {"name": "chardev-gdb", "parent": "chardev"}, {"name": "chardev-mux", "parent": "chardev"}, {"name": "spapr-vio-bus", "parent": "bus"}, {"name": "chardev-udp", "parent": "chardev"}, {"name": "POWER7_v2.3-powerpc64-cpu", "parent": "POWER7-family-powerpc64-cpu"}, {"name": "fw_cfg_io", "parent": "fw_cfg"}, {"name": "chardev-wctablet", "parent": "chardev"}, {"name": "pci-bridge-seat", "parent": "pci-bridge"}, {"name": "usb-tablet", "parent": "usb-hid"}, {"name": "chardev-file", "parent": "chardev-fd"}, {"name": "usb-ccid", "parent": "usb-device"}, {"name": "tcg-accel", "parent": "accel"}, {"name": "virtio-mmio-bus", "parent": "virtio-bus"}, {"name": "mmio_interface", "parent": "device"}, {"name": "spapr-pci-host-bridge", "parent": "pci-host-bridge"}, {"name": "qio-channel-command", "parent": "qio-channel"}, {"name": "usb-bot", "parent": "usb-storage-dev"}, {"name": "spapr-drc-lmb", "parent": "spapr-drc-logical"}, {"name": "accel", "parent": "object"}, {"name": "icp-kvm", "parent": "icp"}, {"name": "spapr-drc-cpu", "parent": "spapr-drc-logical"}, {"name": "virtio-serial-bus", "parent": "bus"}, {"name": "virtio-balloon-device", "parent": "virtio-device"}, {"name": "chardev-vc", "parent": "chardev"}, {"name": "pseries-rhel7.5.0-machine", "parent": "spapr-machine"}, {"name": "chardev-socket", "parent": "chardev"}, {"name": "POWER8E_v2.1-powerpc64-cpu", "parent": "POWER8-family-powerpc64-cpu"}, {"name": "virtio-serial-device", "parent": "virtio-device"}, {"name": "pci-testdev", "parent": "pci-device"}, {"name": "qio-channel-file", "parent": "qio-channel"}, {"name": "virtio-input-host-device", "parent": "virtio-input-device"}, {"name": "VGA", "parent": "pci-vga"}, {"name": "spapr-drc-pci", "parent": "spapr-drc-physical"}, {"name": "migration", "parent": "device"}, {"name": "none-machine", "parent": "machine"}, {"name": "pci-bridge", "parent": "base-pci-bridge"}, {"name": "SCSI", "parent": "bus"}, {"name": "tls-creds-x509", "parent": "tls-creds"}, {"name": "kvm-accel", "parent": "accel"}, {"name": "spapr-tce-table", "parent": "device"}, {"name": "spapr-iommu-memory-region", "parent": "qemu:iommu-memory-region"}, {"name": "qtest-accel", "parent": "accel"}, {"name": "secret", "parent": "object"}, {"name": "scsi-hd", "parent": "scsi-disk-base"}, {"name": "virtio-balloon-pci", "parent": "virtio-pci"}, {"name": "scsi-block", "parent": "scsi-disk-base"}, {"name": "virtio-scsi-pci", "parent": "virtio-pci"}, {"name": "spapr-nvram", "parent": "vio-spapr-device"}, {"name": "fw_cfg_mem", "parent": "fw_cfg"}, {"name": "PCI", "parent": "bus"}, {"name": "qio-channel-websock", "parent": "qio-channel"}, {"name": "virtio-input-host-pci", "parent": "virtio-input-pci"}, {"name": "cryptodev-backend-builtin", "parent": "cryptodev-backend"}, {"name": "POWER8NVL_v1.0-powerpc64-cpu", "parent": "POWER8-family-powerpc64-cpu"}, {"name": "qemu-xhci", "parent": "base-xhci"}, {"name": "virtio-pci-bus", "parent": "virtio-bus"}, {"name": "filter-replay", "parent": "netfilter"}, {"name": "chardev-parallel", "parent": "chardev"}, {"name": "POWER8E_v2.1-spapr-cpu-core", "parent": "spapr-cpu-core"}, {"name": "usb-storage", "parent": "usb-storage-dev"}, {"name": "qio-channel-tls", "parent": "qio-channel"}, {"name": "sysbus-ohci", "parent": "sys-bus-device"}, {"name": "chardev-msmouse", "parent": "chardev"}, {"name": "host-powerpc64-cpu", "parent": "POWER8E_v2.1-powerpc64-cpu"}, {"name": "memory-backend-ram", "parent": "memory-backend"}, {"name": "virtio-serial-pci", "parent": "virtio-pci"}, {"name": "virtserialport", "parent": "virtio-serial-port"}, {"name": "smbus-eeprom", "parent": "smbus-device"}, {"name": "virtio-rng-device", "parent": "virtio-device"}, {"name": "vfio-pci", "parent": "pci-device"}, {"name": "virtio-gpu-pci", "parent": "virtio-pci"}, {"name": "POWER9_v1.0-powerpc64-cpu", "parent": "POWER9-family-powerpc64-cpu"}, {"name": "secondary-vga", "parent": "pci-vga"}, {"name": "POWER8_v2.0-powerpc64-cpu", "parent": "POWER8-family-powerpc64-cpu"}, {"name": "POWER7_v2.3-spapr-cpu-core", "parent": "spapr-cpu-core"}, {"name": "qio-channel-socket", "parent": "qio-channel"}, {"name": "virtio-blk-device", "parent": "virtio-device"}]}

Comment 10 errata-xmlrpc 2018-04-11 00:41:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104


Note You need to log in before you can comment on or make changes to this bug.